define(['./user_list.component.html'], function (template)
{
    var UserList = {
        bindings: {
            plusnumber: '@',
            onPlusClicked: '&'
        },
        transclude: true,
        templateUrl: template,
        controller: [
            function () {
                var ctrl = this;

                ctrl.plusClicked = function($event) {
                    $event.preventDefault();

                    ctrl.onPlusClicked();
                }
            }
        ]
    };

    return UserList;
});
